#!/bin/bash

set -e
# set -x
# scriptPath=$(cd "$(dirname "$0")" && pwd)

scriptPath=$1
cd ${scriptPath}

output_file=$2



if [[ -z "${output_file}" ]]; then
    exit 0
fi

# 获取当前脚本所在目录的名称作为默认 name
name=$(basename "${scriptPath}")

# 检查 desc.txt 文件是否存在并读取内容
if [[ -f "desc.txt" ]]; then
    desc=$(cat "desc.txt")
else
    desc="${name}"
fi

# 输出 JSON 文件内容
cat <<EOF >>${output_file}
{
    "name": "${name}",
    "desc": "${desc}",
    "module":[
EOF

# 设置 modules 目录路径
modules_dir="modules"
if [[ -d "${modules_dir}" ]]; then
    is_first=true
    for module_json in "${modules_dir}"/*.json; do
        module_name=$(basename "$module_json")
        echo "MODULE: $module_name"
        if [[ -f "${module_json}" ]]; then
            if $is_first; then
                is_first=false
            else
                echo "," >>${output_file}
            fi
            # 输出 JSON 文件内容
            cat "${module_json}" >>${output_file}
        fi
    done
fi

cat <<EOF >>${output_file}
]
}
EOF