#!/bin/bash

set -e
scriptPath=$(cd "$(dirname "$0")" && pwd)

output_file=${1:-"${scriptPath}/../html/api.json"}


# 读取 title.txt 文件内容或设置默认值
if [[ -f "title.txt" ]]; then
    title=$(cat title.txt)
else
    title="Test API"
fi

cat <<EOF >${output_file}
{
    "TITLE": "${title}",
    "API": [
EOF

apis_dir="${scriptPath}/apis"
if [[ -d "$apis_dir" ]]; then
    is_first=true
    for api in "$apis_dir"/*; do
        api_name=$(basename "$api")
        echo "--------------------------------------------"
        echo "API: $api_name"
        echo "--------------------------------------------"
        if $is_first; then
            is_first=false
        else
            echo "," >>${output_file}
        fi
        ${scriptPath}/gen_api_data.sh $apis_dir/$api_name ${output_file}
    done
fi

# 完成 api.json 文件
cat <<EOF >>${output_file}
    ]
}
EOF
echo "============================================"
echo "api.json 文件生成完成。"
echo "============================================"
